# https://en.opensuse.org/openSUSE:Specfile_guidelines#Libexecdir
%if 0%{?suse_version}
%define _libexecdir %{_prefix}/libexec
%endif

Summary:	Calibration tools for ebeam kernel driver
Name:		ebeam-tools
Version:	2.0
Release:	1
Url:		http://ebeam.tuxfamily.org
Source0:	http://download.tuxfamily.org/ebeam/%{name}-%{version}.tar.gz
License:	GPL-3.0
Group:		System/X11
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gcc-c++

%if 0%{?suse_version}
BuildRequires:	update-desktop-files
BuildRequires:	pkg-config
%endif
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:	desktop-file-utils
%endif


%description
This package provide 2 programs for handling ebeam kernel driver based
devices calibration:
- ebeam_calibrator : the graphical utility to actually calibrate the device
- ebeam_state : a command-line program to save and restore previous calibration

%prep
%setup -q

%build
./autogen.sh

%if 0%{?mgaver}
%configure2_5x
%make
%else
%configure
make %{?_smp_mflags}
%endif

%install
rm -rf %{buildroot}

%if 0%{?mgaver}
%makeinstall_std
%else
%make_install
%endif

%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos_version}
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
%endif

%if 0%{?suse_version}
for i in %{buildroot}/%{_datadir}/polkit-1/actions/*.policy ;
  do sed -i -e "s:<allow_active>yes</allow_active>:<allow_active>auth_admin_keep</allow_active>:" $i;
done
%endif

%clean
rm -rf %{buildroot}

%if 0%{?suse_version}
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_libexecdir}/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/apps/*
%if 0%{?suse_version}
%dir %{_libexecdir}
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%endif


%changelog
* Wed Jul 29 2015 Yann Cantin <yann.cantin@laposte.net> 2.0-1
- bump version in sync with ebeam module
- switch to tuxfamily.org repo
- more generic spec file
- move to polkit autentication

* Wed Aug 01 2012 Yann Cantin <yann.cantin@laposte.net> 1.0-1
- first ebeam_tools rpm
